/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.politikbereichen-form {
  .ant-form-item-control-input {
    min-height: 32px;
  }
  .ant-form-item {
    display: block;
    padding: 10px 0;
    margin: 10px 0;
    label {
      font-size: @platform-main-font-size;
      line-height: @platform-main-line-height;
      padding: 5px 0;
    }
    &:last-child {
      border-bottom-width: 0;
    }
    &.single-item {
      padding: 0;
      margin: 0;
      border: 0;
    }
    &:not(.single-item) + .ant-form-item {
      margin-top: 0;
      border-top: 0;
      padding-top: 0;
    }
  }
  .ant-checkbox-wrapper {
    display: flex;
    margin-left: 0;
    .ant-checkbox {
      align-self: flex-start;
    }
  }
  fieldset {
    legend {
      margin: 0 0 8px;
      font-size: 1.8rem;
      line-height: 26px;
      font-weight: 500;
      color: @platform-text-color;
      border: 0;
      & + .ant-form-item {
        margin-top: 0;
        padding-top: 0;
      }
    }
  }
}
